Package org.jboss.modules.log

# Class JDKModuleLogger

java.lang.Object
org.jboss.modules.log.JDKModuleLogger

All Implemented Interfaces:
  `ModuleLogger`

public final class JDKModuleLogger extends Object implements ModuleLogger
A `ModuleLogger` which logs to a JDK logging category.

Author:
  David M. Lloyd

## Constructor Summary

Constructors
Constructor
Description
`JDKModuleLogger()`
Construct a new instance using the category `org.jboss.modules`.
`JDKModuleLogger(String category)`
Construct a new instance.
`JDKModuleLogger(Logger logger, Logger defineLogger)`
Deprecated.
Use `JDKModuleLogger(String)` instead.

## Method Summary

Modifier and Type
Method
Description
`void`
`classDefined(String name, Module module)`
`void`
`classDefineFailed(Throwable throwable, String className, Module module)`
`void`
`greeting()`
`void`
`moduleDefined(String name, ModuleLoader moduleLoader)`
`void`
`trace(String message)`
`void`
`trace(String format, Object arg1)`
`void`
`trace(String format, Object... args)`
`void`
`trace(String format, Object arg1, Object arg2)`
`void`
`trace(String format, Object arg1, Object arg2, Object arg3)`
`void`
`trace(Throwable t, String message)`
`void`
`trace(Throwable t, String format, Object arg1)`
`void`
`trace(Throwable t, String format, Object... args)`
`void`
`trace(Throwable t, String format, Object arg1, Object arg2)`
`void`
`trace(Throwable t, String format, Object arg1, Object arg2, Object arg3)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.jboss.modules.log.ModuleLogger

`moduleDefined`

## Constructor Details

### JDKModuleLogger

@Deprecated public JDKModuleLogger(Logger logger, Logger defineLogger)
Deprecated.
Use `JDKModuleLogger(String)` instead.
Construct a new instance.

Parameters:
  `logger` - the main logger to write to
  `defineLogger` - the main logger to write class-define-related trace messages to

### JDKModuleLogger

public JDKModuleLogger(String category)
Construct a new instance.

Parameters:
  `category` - the name of the logger category to write to

### JDKModuleLogger

public JDKModuleLogger()
Construct a new instance using the category `org.jboss.modules`.

## Method Details

### trace

public void trace(String message)

Specified by:
  `trace` in interface `ModuleLogger`

### trace

public void trace(String format, Object arg1)

Specified by:
  `trace` in interface `ModuleLogger`

### trace

public void trace(String format, Object arg1, Object arg2)

Specified by:
  `trace` in interface `ModuleLogger`

### trace

public void trace(String format, Object arg1, Object arg2, Object arg3)

Specified by:
  `trace` in interface `ModuleLogger`

### trace

public void trace(String format, Object... args)

Specified by:
  `trace` in interface `ModuleLogger`

### trace

public void trace(Throwable t, String message)

Specified by:
  `trace` in interface `ModuleLogger`

### trace

public void trace(Throwable t, String format, Object arg1)

Specified by:
  `trace` in interface `ModuleLogger`

### trace

public void trace(Throwable t, String format, Object arg1, Object arg2)

Specified by:
  `trace` in interface `ModuleLogger`

### trace

public void trace(Throwable t, String format, Object arg1, Object arg2, Object arg3)

Specified by:
  `trace` in interface `ModuleLogger`

### trace

public void trace(Throwable t, String format, Object... args)

Specified by:
  `trace` in interface `ModuleLogger`

### greeting

public void greeting()

Specified by:
  `greeting` in interface `ModuleLogger`

### moduleDefined

public void moduleDefined(String name, ModuleLoader moduleLoader)

Specified by:
  `moduleDefined` in interface `ModuleLogger`

### classDefineFailed

public void classDefineFailed(Throwable throwable, String className, Module module)

Specified by:
  `classDefineFailed` in interface `ModuleLogger`

### classDefined

public void classDefined(String name, Module module)

Specified by:
  `classDefined` in interface `ModuleLogger`